﻿//
// Copyright (c)        : DLIFLC 2004
// Last modified        : 23 November 2005 15:30:00 PST
//

var cat_array = new Array(12);
var cLen = cat_array.length;
cat_array[0] = "1. EMERGENCY TRANSMISSIONS";      //53
cat_array[1] = "2. GENERAL AIR TRAFFIC CONTROL";
cat_array[2] = "3. COMMUNICATION CLARIFICATION";
cat_array[3] = "4. LANDING INSTRUCTIONS";
cat_array[4] = "5. TAXI INSTRUCTIONS";
cat_array[5] = "6. DEPARTURE INSTRUCTIONS";
cat_array[6] = "7. AIRFIELD SPECIFICS";
cat_array[7] = "8. CARGO HANDLING";
cat_array[8] = "9. MAINTENANCE";
cat_array[9] = "10. FUEL";
cat_array[10] = "11. WEATHER";
cat_array[11] = "12. SOUNDS UNFAMILIAR TO ENGLISH";


function DLI_utility_class()
  {
  var a_anon_id = 100
  var a_layer   = 100
  this.get_anonymous_id = function()
    {
    return 'anonymous_id_' + a_anon_id++
    }
  this.get_next_layer = function(n)
    {
    if (n)
      a_layer = n
    return ++a_layer
    }
  }//DLI_utility_class

function valid_click()
  {
  var last_time = gv_btime
  gv_btime = getTimer()
  return gv_btime - last_time > 300
  }

String.prototype.search_replace = function( find, replace )
  {
  return this.split( find ).join( replace)
  }

function show_clips( c, n )
  {
  var s = ' '
  for (var i=0; i<n; i++)
    s += ' '
  for (var p in c)
    {
    if (typeof c[p] == 'movieclip')
      {
      tl(s, c[p]._name)
      show_clips(c[p], n + 4)
      }
    }
  }

function show_info()
  {
  if (false)
    {
    tl()
    tl('--- begin ', _currentframe )
    show_clips( _root, 0 )
    tl('--- end',    _currentframe )
    }
  }

function next_frame()
  {
  gotoAndStop(_currentframe+1)
  }
function go_frame(n)
  {
  gotoAndStop(n)
  }

function run ( root_xml, n )
  {
  var vocArray = root_xml.firstChild.childNodes
  var sLen = vocArray.length
  var n = parseInt(n)
  var m = n + 1

  enArray  = []
  trArray  = []
  flArray  = []
//  sndArray = []
  odrArray = []
  for (var i=0; i<sLen; i++)
    {
    if (vocArray[i].childNodes[1].firstChild.nodeValue == m)
      {
      enArray.push( vocArray[i].childNodes[3].firstChild.nodeValue )
      trArray.push( vocArray[i].childNodes[4].firstChild.nodeValue )
      flArray.push( vocArray[i].childNodes[5].firstChild.nodeValue )
//      sndArray.push( vocArray[i].childNodes[1].firstChild.nodeValue )
      odrArray.push( vocArray[i].childNodes[2].firstChild.nodeValue )
      }
    }
  NC = enArray.length
  }

function show_stuff(i, j)
  {
  iv_btn_en.onRelease = function()
    {
    if (valid_click())
      {
      var catN = CAT
      catN++
      catN = CAT >= 9  ? catN : '0' + catN
      var odrN = odrArray[i]
      odrN = odrArray[i] > 9 ? odrN : '0' + odrN
      var FN = 'media/english/en_ac_' + catN + '_' + odrN + '.mp3'
      gv_snd.loadSound(FN, true)
      }
    }
  iv_btn_ir.onRelease = function()
    {
    if (valid_click())
      {
      var catN = CAT
      catN++
      catN = CAT >= 9  ? catN : '0' + catN
      var odrN = odrArray[i]
      odrN = odrArray[i] > 9 ? odrN : '0' + odrN
      var FN = 'media/russian/ru_ac_' + catN + '_' + odrN + '.mp3'
      gv_snd.loadSound(FN, true)
      }
    }

  tie_en  = enArray[i]
  tie_ro  = trArray[i]
  function PP( ss )
    {
    return '<font color="#000000">' + ss + '</font>'
    }
//  iv_txt_trans.html = true
//  iv_txt_trans.htmlText = trArray[i]

  var wr = ''
  var s = flArray[i]
  if (s != undefined)
    wr += PP(s)
  iv_txt.html = true
  iv_txt.htmlText = wr

  ndx = i
  NC = j
  var nI = i
  tie_cnt = ++nI + " of " + j + " Items"
  }//show_stuff

function clearCatBox()
  {
  for(var i=0; i<cLen; i++)
    {
    var mc = ('WnclipN'+ i)
    if ( eval(mc) )
      removeMovieClip( eval(mc) )
    }
  } // clear all the category boxes



function do_frame_1()
  {
  iv_btn_start.onRelease = function()
    {
    next_frame()
    }
  }

function do_frame_2()
  {
  var mLen = cLen //cat_array length
  var mAPg = Math.ceil(mLen/9)
  function mkModbox(n)
    {
    if( n || n==0 )     //"0" is treated as if "nothing." in the actionScript
      n = mPg
    else
      n = Math.floor(CAT/9)
    mPg = n
    tie_modTitle = 'Language Survival Kit Modules'
    clearAll()
    var g = new TextFormat()
    g.size  = 9
    g.font  = "Arial"


    var dx = 220
    var dy = 15
    var sx = 10
    var sy = 80
    var minlen = Math.min((n+1)*9, mLen)
    for(var i=(n*9); i<minlen; i++)
      {
      createEmptyMovieClip( 'Wnclip'+i, DU.get_next_layer() )
      var wmcName = eval('Wnclip'+i)
      var b = 'B_' + i
      with (wmcName)
        {
        createTextField( b, DU.get_next_layer(), sx, sy + 23*(i%9), dx, dy )
        with (eval(b))
          {
          border = true
          text = cat_array[i]
          setTextFormat(g)
          }
        }
      wmcName.onRelease = function()
        {
        for (var j=0; j<cLen; j++)
          eval('Wnclip'+ j + '.' + 'B_' + j).background = false
        var A = this._name.substr(6)
        var B = eval(('Wnclip'+ A + '.' + 'B_' + A))
        B.background = true
        B.backgroundColor = '0xFFFFFF'
        tie_cat2 = cat_array[A]
        tie_cat = cat_array[A]
        clearAll()
        CAT = A
        ndx = 0
        next_frame()
        }
      }
    tie_cntM = (n+1) + ' of ' + Math.ceil(mLen/9) + ' Pages '
    var B = eval(('Wnclip'+ CAT + '.' + 'B_' + CAT))
    B.background = true
    B.backgroundColor = '0xFFFFFF'
    }

  function clearAll()
    {
    for(var i=0; i<mLen; i++)
      {
      var mc = ('Wnclip'+ i)
      if ( eval(mc) )
        removeMovieClip( eval(mc) )
      }
    }
  iv_btn_nextM.onRelease = function()
    {
    if (mPg+1<mAPg && valid_click())
      {
      mkModbox(++mPg)
      }
    }
  iv_btn_backM.onRelease = function()
    {
    if (mPg>0 && valid_click())
      {
      mkModbox(--mPg)
      }
    }

  iv_closeBtn.onRelease = function()
    {
    fscommand("quit")
    }
  mkModbox()
  }

function do_frame_3()
  {
  run(X, CAT)
  //trace (enArray.length)
  tie_cat2 = cat_array[CAT]
  var aa = Math.ceil(NC/4)
  var bb = aa > 1 ? ' Pages' : ' Page'
  var cc = Math.floor(ndx/4) //starting page
  function mkItembox(n)
    {
    if( n || n==0 )     //"0" is treated as if "nothing." in the actionScript
      n = cc
    else
      n = Math.floor(ndx/4)
    cc = n
    clearAllItems()
    var g = new TextFormat()
    g.size  = 11
    g.font  = "Arial"
    g.color = "0x000088"

    var h = new TextFormat()
    h.size  = 11
    h.font  = "Arial"
    h.color = "0x000088"

    var dx = 200
    var dy = 54
    var sx = 10
    var sy = 70
    var ilen = Math.min( NC, (n+1)*4)
    for(var i=(n*4); i<ilen; i++)
      {
      createEmptyMovieClip( 'WnclipIT'+i, DU.get_next_layer() )
      var wmcNameIT = eval('WnclipIT'+i)
      var b = 'ITB_' + i
      with (wmcNameIT)
        {
        createTextField( b, DU.get_next_layer(), sx, sy + 54*(i%4), dx, dy )
        with (eval(b))
          {
          border    = true
          wordWrap  = true
          multiline = true
          html      = true
          text = i+1 + '. ' + enArray[i]
          setTextFormat(g)
          if (CAT > 10)
            {
            htmlText = i+1 + '. LIKE "' + enArray[i] + '"<br />    AS IN ' + trArray[i]
            setTextFormat(h)
            }

          }
        }
      createEmptyMovieClip( 'WnclipGD'+i, DU.get_next_layer() )
      var wmcNameG = eval('WnclipGD'+i)
      var gd = 'gdB_' + i
      if (CAT < 11)
        {
        with (wmcNameG)
          {
          attachMovie( 'lnk_hand', gd, DU.get_next_layer() )
          with (eval(gd))
            {
            _x = 224
            _y = 109+54*(i%4)
            }
          }
        }
      createEmptyMovieClip( 'WnclipSND'+i, DU.get_next_layer() )
      var wmcNameS = eval('WnclipSND'+i)
      var s = 'sB_' + i
      with (wmcNameS)
        {
        attachMovie( 'playsd', s, DU.get_next_layer() )
        with (eval(s))
          {
          _x = 224
          _y = 85+54*(i%4)
          }
        }
       wmcNameG.onRelease = function()
        {
        var A = this._name.substr(8)
        if (valid_click())
          {
          for (var j=0; j<iLen; j++)
            eval('WnclipIT'+ j + '.' + 'ITB_' + j).background = false
          var B = eval(('WnclipIT'+ A + '.' + 'ITB_' + A))
          B.background = true
          B.backgroundColor = '0xFFFFFF'
          if (CAT < 11)
            {
            clearAllItems()
            next_frame()
            ndx = A
            show_stuff(ndx, NC)
            gv_snd.stop()
            }
          }
        }
      wmcNameIT.onRelease = function()
        {
        var A = this._name.substr(8)
        if (valid_click())
          {
          for (var j=0; j<iLen; j++)
            eval('WnclipIT'+ j + '.' + 'ITB_' + j).background = false
          var B = eval(('WnclipIT'+ A + '.' + 'ITB_' + A))
          B.background = true
          B.backgroundColor = '0xFFFFFF'
          if (CAT < 11)
            {
            clearAllItems()
            next_frame()
            ndx = A
            show_stuff(ndx, NC)
            gv_snd.stop()
            }
          }
        }
      wmcNameS.onRelease = function()
        {
        var A = this._name.substr(9)
        if (valid_click())
          {
          if (CAT < 11)
            {
            var catN = CAT
            catN++
            catN = CAT >= 9  ? catN : '0' + catN
            var odrN = odrArray[A]
            odrN = odrArray[A] >= 10 ? odrN : '0' + odrN
            var FN = 'media/russian/ru_ac_' + catN + '_' + odrN + '.mp3'
            }
          else
            FN = 'media/russian/00_ru_ac_phon_0' + odrArray[A] + '.mp3'
          gv_snd.loadSound(FN, true)
          for (var j=0; j<iLen; j++)
            eval('WnclipIT'+ j + '.' + 'ITB_' + j).background = false
          var B = eval(('WnclipIT'+ A + '.' + 'ITB_' + A))
          B.background = true
          B.backgroundColor = '0xFFFFFF'
          }
        }
      }
    tie_cntIT = (n+1) + ' of ' + Math.ceil(NC/4) + bb
    var B = eval(('WnclipIT'+ ndx + '.' + 'ITB_' + ndx))
    B.background = true
    B.backgroundColor = '0xFFFFFF'
    }
  function clearAllItems()
    {
    for(var i=0; i<NC; i++)
      {
      var mc = ('WnclipIT'+ i)
      var mcS = ('WnclipSND'+ i)
      var mcG = ('WnclipGD' + i)
      if ( eval(mc) )
        removeMovieClip( eval(mc) )
      if ( eval(mcS) )
        removeMovieClip( eval(mcS) )
     if ( eval(mcG) )
        removeMovieClip( eval(mcG) )
      }
    }
  mkItembox()
  iv_btn_nextIT.onRelease = function()
    {
    if (cc+1<aa && valid_click())
      {
      gv_snd.stop()
      mkItembox(++cc)
      }
    }
  iv_btn_backIT.onRelease = function()
    {
    if (cc>0 && valid_click())
      {
      gv_snd.stop()
      mkItembox(--cc)
      }
    }

  iv_btn_bmod.onRelease = function()
    {
    clearAllItems()
    clearCatBox()
    gv_snd.stop()
    go_frame(2)
    }

  }

function do_frame_4()
  {
  tl_scroll.setScrollTarget(iv_txt_trans)
  en_scroll.setScrollTarget(iv_txt_en)
  cc_scroll.setScrollTarget(iv_txt)
  function mkCatbox()
    {
    var g = new TextFormat()
    g.align = 'center'
    g.size  = 10

    var dx = 15
    var dy = 15
    var sx = 10
    var sy = 45
    for(var i=0; i<11; i++)
      {
      createEmptyMovieClip( 'WnclipN'+i, DU.get_next_layer() )
      var wmcNameN = eval('WnclipN'+i)
      var b = 'B_' + i
      with (wmcNameN)
        {
        createTextField( b, DU.get_next_layer(), 10 + 20*(i%11), 50 + 17*Math.floor(i/11), 18, 15 )
        with (eval(b))
          {
          border = true
          text = i + 1
          setTextFormat(g)
          }

        }
      wmcNameN.onRelease = function()
        {
        for (var j=0; j<cLen; j++)
          eval('WnclipN'+ j + '.' + 'B_' + j).background = false
        var A = this._name.substr(7)
        CAT = A
        var B = eval(('WnclipN'+ A + '.' + 'B_' + A))
        B.background = true
        B.backgroundColor = '0xcc6600'
        tie_cat = cat_array[A]
        run( X, A )
        show_stuff(0, NC)
        gv_snd.stop()
        }
      }
    var B = eval(('WnclipN'+ CAT + '.' + 'B_' + CAT))
    B.background = true
    B.backgroundColor = '0xcc6600'
    } //mkCatbox

  mkCatbox()

  iv_btn_next.onRelease = function()
    {
    var xx = ndx
    if (++xx<NC && valid_click())
      {
      show_stuff(++ndx, NC)
      gv_snd.stop()
      }
    }
  iv_btn_back.onRelease = function()
    {
    if (ndx>0 && valid_click())
      {
      show_stuff(--ndx, NC)
      gv_snd.stop()
      }
    }
  iv_btn_bitems.onRelease = function()
    {
    if (valid_click())
      {
      clearCatBox()
      gv_snd.stop()
      go_frame(3)
      }
    }
  }

function do_frame()
  {
  stop()
  eval('do_frame_' + _root._currentframe)()
  }

  var DU = new DLI_utility_class()
  gv_snd   = new Sound()
  var CAT  = 0     //present module number
  var mPg  = 0     //present Module Page number
  var NC   = 0     //number of items in the selected category
  var ndx  = 0     //item number
  var enArray  = []
  var trArray  = []
//  var flArray  = []
//  var sndArray = []
  var odrArray = []

  var FN   = 'ruAircrewPDA.xml'
  var X = new XML()
  X.ignoreWhite = true
  X.onLoad = function(ok)
    {
    if (ok)
      {
      run( X, CAT )
      }
    else
      tie_fail = FN + ' failed to load.'
    }
  X.load( FN )